# ApiEnableRmHaArguments Data Model

Arguments used for enable RM HA command.

Properties
name | data type | description
--- | --- | ---
newRmHostId | string | Id of host on which second ResourceManager role will be added.
newRmRoleName | string | Name of the second ResourceManager role to be created (Optional)
zkServiceName | string | Name of the ZooKeeper service that will be used for auto-failover. This is an optional parameter if the Yarn to ZooKeeper dependency is already set in CM.

Example

    {
      "newRmHostId" : "...",
      "newRmRoleName" : "...",
      "zkServiceName" : "..."
    }